@import "../../../assets/scss/index.scss";

.page-article {
  h2 {
    font-size: 3rem;
    line-height: 2.5rem;
    font-weight: 700;
    text-align: center;
    color: $colour__text-green;
    margin: 0 0 60px 0;
    padding: 0;
  }

  h3 {
    font-size: 1.5rem;
    font-weight: 900;
    color: $colour__text-black;
  }

  img {
    height: auto;
    width: 100%;
  }

  p {
    font-size: 1.5rem;
    font-weight: normal;
    color: $colour__text-black;
  }

  &__footer {
    &__tag {
      font-weight: 600;
      font-size: 1rem;
      display: inline-block;
      padding: 5px 10px;
      color: $colour__bg-content-light-white;
      background: $colour__bg-tag-pink;
      border-radius: 1rem;
      margin-right: 10px;
    }
  }
}

@include media(desktop) {
  .page-article {
    max-width: 780px;
    padding: 0 60px;
  }
}

@include media(mobile-landscape) {
  .page-article {
    max-width: unset;
    padding: 0 30px;

    h2 {
      font-size: 2rem;
    }
  
    h3 {
      font-size: 1rem;
    }

    p {
      font-size: 1rem;
    }

    &__footer {
      display: flex;
      flex-wrap: wrap;

      &__tag {
        font-weight: 600;
        font-size: 0.75rem;
        margin: 5px;
      }
    }
  }
}
